Skip to main content
POST
/
v1
/
responses
curl --request POST \
  --url https://apiany.ai/v1/responses \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "gpt-5.5",
  "input": "Review this API design and list the main risks.",
  "reasoning": {
    "effort": "high",
    "summary": "auto"
  },
  "text": {
    "verbosity": "medium"
  }
}
'
{
  "id": "<string>",
  "object": "response",
  "status": "<string>",
  "model": "<string>",
  "output": [
    {}
  ],
  "created_at": 123,
  "output_text": "<string>",
  "usage": {
    "prompt_tokens": 123,
    "completion_tokens": 123,
    "total_tokens": 123,
    "input_tokens": 123,
    "output_tokens": 123,
    "cached_input_tokens": 123
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
model
string
required
Example:

"gpt-5.5"

input
required

Responses input. Can be a string or an array of message / tool-result items.

instructions
string

System or developer instructions.

max_output_tokens
integer

Maximum output tokens.

Required range: x >= 1
temperature
number
Required range: 0 <= x <= 2
top_p
number
Required range: 0 <= x <= 1
reasoning
object
text
object
tools
object[]

Responses tools, including function tools and built-in tools such as web_search_preview.

tool_choice
stream
boolean

If true, responses are streamed as OpenAI Responses SSE events.

metadata
object

Response

OpenAI-compatible Responses response.

id
string
required
object
string
required
Example:

"response"

status
string
required
model
string
required
output
object[]
required
created_at
integer
output_text
string
usage
object